// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_FAssetData.h"
#include "SCW_Base.h"

struct FAssetData;

namespace Sourcify
{
	class SCW_FAssetData : public SCW_Base, public ISCW_FAssetData
	{
	public:
		SCW_FAssetData(FAssetData* InAssetData);

		wstring GetPackageName() const override;

		FAssetData* ToFAssetData() const;

		ISCW_FAssetDataPtr ToFAssetDataPtr() override;
		ISCW_FAssetDataConstPtr ToFAssetDataPtr() const override;

	protected:
		FAssetData* AssetData;
	};
} // namespace Sourcify